<resources xmlns:tools="http://schemas.android.com/tools">

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>

        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowContentTransitions">true</item>
        <item name="windowActionModeOverlay">true</item>
    </style>

    <style name="BaseButton" parent="Widget.AppCompat.Button">
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">16sp</item>
        <item name="android:textAllCaps">false</item>
    </style>

    <style name="BaseInputLayout" parent="@style/Widget.MaterialComponents.TextInputLayout.FilledBox.Dense">
        <item name="colorAccent">@color/black</item>
        <item name="colorControlNormal">@color/black</item>
        <item name="colorControlHighlight">@color/black</item>
        <item name="android:textColorHint">@color/nobel</item>
        <item name="boxBackgroundColor">@color/white</item>
        <item name="android:gravity">start|center</item>
        <item name="android:layout_gravity">start|center</item>
        <item name="hintEnabled">true</item>
        <item name="hintAnimationEnabled">true</item>
        <item name="hintTextAppearance">@style/BaseEditTextHint</item>
        <item name="boxCollapsedPaddingTop">0dp</item>
        <item name="boxStrokeWidth">0dp</item>
    </style>

    <style name="BaseInputLayout.Search">
        <item name="android:textColorHint">@color/nobel</item>
        <item name="boxBackgroundColor">@color/solitude</item>
        <item name="android:gravity">start|center</item>
        <item name="android:layout_gravity">start|center</item>
        <item name="hintEnabled">false</item>
        <item name="hintAnimationEnabled">false</item>
        <item name="boxCollapsedPaddingTop">0dp</item>
        <item name="boxStrokeWidth">0dp</item>
        <item name="boxStrokeWidthFocused">0dp</item>
        <item name="boxCornerRadiusBottomEnd">8dp</item>
        <item name="boxCornerRadiusTopEnd">8dp</item>
        <item name="boxCornerRadiusTopStart">8dp</item>
        <item name="boxCornerRadiusBottomStart">8dp</item>
    </style>

    <style name="BaseEditTextHint" parent="TextAppearance.Design.Hint">
        <item name="android:textSize">14sp</item>
        <item name="android:textColorHint">@color/nobel</item>
    </style>

    <style name="BaseEditText">
        <item name="android:textColor">@color/black</item>
        <item name="android:textColorHint">@color/nobel</item>
        <item name="android:textSize">17sp</item>
        <item name="colorAccent">@color/black</item>
        <item name="colorControlNormal">@color/black</item>
        <item name="colorControlActivated">@color/black</item>
        <item name="colorControlHighlight">@color/black</item>
        <item name="android:paddingStart">4dp</item>
        <item name="android:paddingEnd">4dp</item>
        <item name="android:fontFamily">@font/inter_regular</item>
    </style>

    <style name="NormalDialogTheme" parent="Theme.MaterialComponents.Light.Dialog.Alert">
        <item name="android:textColorPrimary">@color/black</item>
        <item name="colorControlHighlight">@color/black</item>
        <item name="colorControlActivated">@color/black</item>
        <item name="buttonBarNegativeButtonStyle">@style/NegativeButtonStyle</item>
        <item name="buttonBarPositiveButtonStyle">@style/NegativeButtonStyle</item>
    </style>

    <style name="NegativeButtonStyle" parent="Widget.MaterialComponents.Button.TextButton">
        <item name="colorAccent">@color/black</item>
        <item name="colorControlNormal">@color/black</item>
        <item name="colorControlActivated">@color/black</item>
        <item name="android:colorControlHighlight">@color/black</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:backgroundTint">@color/white</item>
        <item name="android:background">@color/white</item>
        <item name="rippleColor">@color/black</item>
    </style>

    <style name="PositiveUpgradeButtonStyle" parent="Widget.MaterialComponents.Button.TextButton">
        <item name="android:textColor">@color/black</item>
        <item name="android:backgroundTint">@color/white</item>
        <item name="android:background">@color/white</item>
    </style>

    <style name="PrimaryButton" parent="BaseButton">
        <item name="android:background">@drawable/bg_primary_button</item>
        <item name="android:fontFamily">@font/inter_semibold</item>
        <item name="android:gravity">center</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textSize">17sp</item>
        <item name="android:textAllCaps">false</item>
    </style>

    <style name="ButtonTextStyle" parent="Widget.MaterialComponents.Button.TextButton">
        <item name="android:fontFamily">@font/inter_semibold</item>
        <item name="android:gravity">center</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:textSize">17sp</item>
        <item name="android:paddingEnd">0dp</item>
        <item name="android:paddingStart">0dp</item>
        <item name="android:minWidth">0dp</item>
        <item name="android:minHeight">0dp</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textColor">@color/cerulean_blue</item>
    </style>

    <style name="ButtonTextStyle.Negative">
        <item name="android:textColor">@color/pale_red</item>
    </style>

    <style name="ButtonTextStyle.LightText" parent="Widget.MaterialComponents.Button.TextButton">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:gravity">center</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:textSize">17sp</item>
        <item name="android:paddingEnd">0dp</item>
        <item name="android:paddingStart">0dp</item>
        <item name="android:minWidth">0dp</item>
        <item name="android:minHeight">0dp</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textColor">@color/cerulean_blue</item>
    </style>

    <style name="ButtonTextStyle.LightText.Negative">
        <item name="android:textColor">@color/pale_red</item>
    </style>

    <style name="TextAppearance.Baseplate.InputLayout.Prefix" parent="">
        <item name="android:textSize">17sp</item>
        <item name="android:fontFamily">@font/inter_regular</item>
    </style>

    <!--text styles-->

    <style name="body_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">19sp</item>
        <item name="android:letterSpacing">-0.4900000095367432</item>
        <item name="android:lineHeight" tools:targetApi="p">24sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="large_title_large_defalt">
        <item name="android:fontFamily">@font/inter_bold</item>
        <item name="android:textSize">34sp</item>
        <item name="android:letterSpacing">0.4099999964237213</item>
        <item name="android:lineHeight" tools:ignore="NewApi">41sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="large_title_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">36sp</item>
        <item name="android:letterSpacing">0.3799999952316284</item>
        <item name="android:lineHeight" tools:targetApi="p">43sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="footnote_large_default">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">13sp</item>
        <item name="android:lineHeight" tools:targetApi="p">18sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="title_4_x_large_bold">
        <item name="android:includeFontPadding">false</item>
        <item name="android:fontFamily">@font/inter_bold</item>
        <item name="android:textSize">28sp</item>
        <item name="android:lineHeight" tools:targetApi="p">28sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="title_3_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">22sp</item>
        <item name="android:letterSpacing">0.3499999940395355</item>
        <item name="android:lineHeight" tools:targetApi="p">28sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="headline_large_default">
        <item name="android:fontFamily">@font/inter_semibold</item>
        <item name="android:textSize">17sp</item>
        <item name="android:letterSpacing">-0.4099999964237213</item>
        <item name="android:lineHeight" tools:targetApi="p">22sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="title_1_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">30sp</item>
        <item name="android:letterSpacing">0.36</item>
        <item name="android:lineHeight" tools:targetApi="p">36sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="title_2_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">24sp</item>
        <item name="android:letterSpacing">0.3600000143051147</item>
        <item name="android:lineHeight" tools:targetApi="p">30sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="caption_1_large_default">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">12sp</item>
        <item name="android:lineHeight" tools:targetApi="p">16sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="callout_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">18sp</item>
        <item name="android:letterSpacing">-0.449999988079071</item>
        <item name="android:lineHeight" tools:targetApi="p">23sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="caption_1_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">14sp</item>
        <item name="android:letterSpacing">-0.1500000059604645</item>
        <item name="android:lineHeight" tools:targetApi="p">19sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="subhead_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">17sp</item>
        <item name="android:lineHeight" tools:targetApi="p">22sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="title_3_large_default">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">20sp</item>
        <item name="android:letterSpacing">0.3799999952316284</item>
        <item name="android:lineHeight" tools:targetApi="p">25sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="footnote_x_large">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">15sp</item>
        <item name="android:letterSpacing">-0.239999994635582</item>
        <item name="android:lineHeight" tools:targetApi="p">20sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="callout_large_default">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">16sp</item>
        <item name="android:letterSpacing">-0.3199999928474426</item>
        <item name="android:lineHeight" tools:targetApi="p">21sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="title_1_large_defalt">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">28sp</item>
        <item name="android:letterSpacing">0.36</item>
        <item name="android:lineHeight" tools:targetApi="p">34sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="headline_x_large">
        <item name="android:fontFamily">@font/inter_semibold</item>
        <item name="android:textSize">19sp</item>
        <item name="android:letterSpacing">-0.4900000095367432</item>
        <item name="android:lineHeight" tools:targetApi="p">24sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="caption_2_large_default">
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="android:textSize">11sp</item>
        <item name="android:letterSpacing">0.07000000029802322</item>
        <item name="android:lineHeight" tools:targetApi="p">13sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="NavigationButtonContainer">
        <item name="android:background">?attr/selectableItemBackground</item>
        <item name="android:foreground">?attr/selectableItemBackground</item>
        <item name="android:clickable">true</item>
        <item name="android:focusable">true</item>
        <item name="android:paddingHorizontal">16dp</item>
        <item name="android:paddingVertical">15dp</item>
    </style>

    <style name="NavigationButtonText">
        <item name="android:includeFontPadding">false</item>
        <item name="android:lines">1</item>
        <item name="android:maxLines">1</item>
        <item name="android:singleLine">true</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">17sp</item>
        <item name="android:fontFamily">@font/inter_regular</item>
    </style>

    <style name="NavigationButtonSubText">
        <item name="android:includeFontPadding">false</item>
        <item name="android:lines">1</item>
        <item name="android:maxLines">1</item>
        <item name="android:singleLine">true</item>
        <item name="android:textColor">@color/silver</item>
        <item name="android:textSize">13sp</item>
        <item name="android:fontFamily">@font/inter_regular</item>
    </style>

    <!-- https://medium.com/@lcdsmao/material-design-custom-alert-dialog-5a9cab3ade11 -->
    <style name="ThemeOverlayAppMaterialAlertDialog" parent="ThemeOverlay.MaterialComponents.MaterialAlertDialog">
        <item name="colorPrimary">@color/black</item>
        <item name="colorSecondary">@color/black</item>
        <item name="colorSurface">@color/black</item>
        <item name="colorOnSurface">@color/black</item>
        <item name="buttonBarPositiveButtonStyle">@style/Widget.App.Button</item>
        <item name="buttonBarNegativeButtonStyle">@style/Widget.App.Button</item>
        <item name="materialAlertDialogTitleTextStyle">@style/MaterialAlertDialog.App.Title.Text
        </item>
        <item name="materialAlertDialogBodyTextStyle">@style/MaterialAlertDialog.App.Body.Text
        </item>
    </style>

    <style name="MaterialAlertDialog.App.Title.Text" parent="MaterialAlertDialog.MaterialComponents.Title.Text">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">18sp</item>
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="fontFamily">@font/inter_regular</item>
    </style>

    <style name="MaterialAlertDialog.App.Body.Text" parent="MaterialAlertDialog.MaterialComponents.Body.Text">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">18sp</item>
        <item name="android:fontFamily">@font/inter_regular</item>
        <item name="fontFamily">@font/inter_regular</item>
    </style>

    <style name="Widget.App.Button" parent="Widget.MaterialComponents.Button.TextButton.Dialog">
        <item name="materialThemeOverlay">@style/ThemeOverlay.App.Button</item>
    </style>

    <style name="ThemeOverlay.App.Button" parent="">
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">13sp</item>
        <item name="android:fontFamily">@font/inter_bold</item>
        <item name="fontFamily">@font/inter_bold</item>
    </style>
    <!-- END WIDGETS -->

    <style name="Theme.Baseplate.BottomSheetDialog.Nested" parent="@style/Theme.Design.Light.BottomSheetDialog">
        <item name="android:backgroundDimEnabled">false</item>
    </style>
</resources>
